import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ApiService {
  private apiUrl = 'http://localhost:5000/api'; // 后端API地址

  constructor(private http: HttpClient) {}

  getSchedules(): Observable<any> {
    return this.http.get(`${this.apiUrl}/schedules`);
  }

  // 其他API请求方法...
}